import 'package:moment_dart/moment_dart.dart';

/// This mixin provides set of formatters named `formattersForMonthNames`
mixin MonthNames on MomentLocalization {
  /// Month name from month number (1-12)
  Map<int, String> get monthNames;

  /// Short month name from month number (1-12)
  Map<int, String> get monthNamesShort;

  /// Overrides:
  ///
  /// `MMM` and `MMMM`
  Map<FormatterToken, FormatterTokenFn> get formattersForMonthNames => {
        FormatterToken.MMM: (dateTime) => monthNamesShort[dateTime.month]!,
        FormatterToken.MMMM: (dateTime) => monthNames[dateTime.month]!,
      };
}
